package cn.aqroid.business.auth.domain.dto;

/**
 * 微信登录请求
 *
 * @author aqroid
 * @date 2026-01-12
 */
public class WxLoginRequest {

    /** 微信登录code */
    private String code;

    /** 昵称（可选） */
    private String nickname;

    /** 头像（可选） */
    private String avatar;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
}
